Index: cprs/trunk/CPRS-Chart/Encounter/fProcedure.dfm
===================================================================
--- cprs/trunk/CPRS-Chart/Encounter/fProcedure.dfm	(revision 456)
+++ cprs/trunk/CPRS-Chart/Encounter/fProcedure.dfm	(revision 829)
@@ -1,6 +1,8 @@
 inherited frmProcedures: TfrmProcedures
-  Left = 295
-  Top = 212
+  Left = 548
+  Top = 172
   Caption = 'Encounter Procedure'
+  ExplicitWidth = 632
+  ExplicitHeight = 427
   PixelsPerInch = 96
   TextHeight = 13
@@ -15,7 +17,9 @@
     Width = 88
     Caption = 'Procedure Section'
+    ExplicitWidth = 88
   end
   inherited lblList: TLabel
     Left = 154
+    ExplicitLeft = 154
   end
   inherited bvlMain: TBevel
@@ -23,4 +27,7 @@
     Width = 537
     Height = 166
+    ExplicitTop = 232
+    ExplicitWidth = 537
+    ExplicitHeight = 166
   end
   object lblMod: TLabel [5]
@@ -45,12 +52,16 @@
     Top = 344
     TabOrder = 8
+    ExplicitLeft = 544
+    ExplicitTop = 344
   end
   inherited btnCancel: TBitBtn
     Top = 371
     TabOrder = 9
+    ExplicitTop = 371
   end
   inherited pnlGrid: TPanel
     Width = 523
     TabOrder = 1
+    ExplicitWidth = 523
     inherited lbGrid: TORListBox
       Tag = 30
@@ -58,4 +69,5 @@
       Caption = 'Selected Procedures'
       Pieces = '1,2'
+      ExplicitWidth = 523
     end
     inherited hcGrid: THeaderControl
@@ -74,4 +86,5 @@
           Width = 112
         end>
+      ExplicitWidth = 523
     end
   end
@@ -79,79 +92,5 @@
     TabOrder = 2
   end
-  inherited btnRemove: TButton
-    Left = 454
-    Top = 371
-    TabOrder = 7
-  end
-  inherited btnSelectAll: TButton
-    Left = 374
-    Top = 371
-    Height = 21
-    TabOrder = 6
-    TabStop = True
-  end
-  inherited pnlMain: TPanel
-    TabOrder = 0
-    inherited splLeft: TSplitter
-      Left = 145
-    end
-    object splRight: TSplitter [1]
-      Left = 349
-      Top = 0
-      Width = 3
-      Height = 204
-      Cursor = crHSplit
-      Align = alRight
-      OnMoved = splRightMoved
-    end
-    inherited lbxSection: TORListBox
-      Tag = 30
-      Left = 148
-      Width = 201
-      ItemHeight = 14
-      Pieces = '2,3'
-    end
-    inherited pnlLeft: TPanel
-      Width = 145
-      inherited lbSection: TORListBox
-        Tag = 30
-        Width = 145
-        TabOrder = 0
-      end
-      inherited btnOther: TButton
-        Tag = 13
-        Left = 3
-        Caption = 'Other Procedure...'
-        TabOrder = 1
-      end
-    end
-    object lbMods: TORListBox
-      Left = 352
-      Top = 0
-      Width = 260
-      Height = 204
-      Style = lbOwnerDrawFixed
-      Align = alRight
-      Font.Charset = DEFAULT_CHARSET
-      Font.Color = clWindowText
-      Font.Height = -11
-      Font.Name = 'MS Sans Serif'
-      Font.Style = []
-      ItemHeight = 14
-      ParentFont = False
-      ParentShowHint = False
-      ShowHint = True
-      TabOrder = 2
-      Caption = 'Modifiers'
-      ItemTipColor = clWindow
-      LongList = False
-      Pieces = '2,3'
-      TabPosInPixels = True
-      CheckBoxes = True
-      CheckEntireLine = True
-      OnClickCheck = lbModsClickCheck
-    end
-  end
-  object spnProcQty: TUpDown
+  object spnProcQty: TUpDown [11]
     Left = 348
     Top = 371
@@ -162,7 +101,6 @@
     Position = 1
     TabOrder = 5
-    Wrap = False
-  end
-  object txtProcQty: TCaptionEdit
+  end
+  object txtProcQty: TCaptionEdit [12]
     Left = 288
     Top = 371
@@ -175,5 +113,5 @@
     Caption = 'Quantity'
   end
-  object cboProvider: TORComboBox
+  object cboProvider: TORComboBox [13]
     Left = 56
     Top = 371
@@ -199,4 +137,150 @@
     OnChange = cboProviderChange
     OnNeedData = cboProviderNeedData
+    CharsNeedMatch = 1
+  end
+  inherited btnRemove: TButton
+    Left = 454
+    Top = 371
+    TabOrder = 7
+    ExplicitLeft = 454
+    ExplicitTop = 371
+  end
+  inherited btnSelectAll: TButton
+    Left = 374
+    Top = 371
+    Height = 21
+    TabOrder = 6
+    TabStop = True
+    ExplicitLeft = 374
+    ExplicitTop = 371
+    ExplicitHeight = 21
+  end
+  inherited pnlMain: TPanel
+    TabOrder = 0
+    inherited splLeft: TSplitter
+      Left = 145
+      ExplicitLeft = 145
+    end
+    object splRight: TSplitter [1]
+      Left = 349
+      Top = 0
+      Height = 204
+      Align = alRight
+      OnMoved = splRightMoved
+    end
+    inherited lbxSection: TORListBox
+      Tag = 30
+      Left = 148
+      Width = 201
+      ItemHeight = 14
+      Pieces = '2,3'
+      ExplicitLeft = 148
+      ExplicitWidth = 201
+    end
+    inherited pnlLeft: TPanel
+      Width = 145
+      ExplicitWidth = 145
+      inherited lbSection: TORListBox
+        Tag = 30
+        Width = 145
+        TabOrder = 0
+        ExplicitWidth = 145
+      end
+      inherited btnOther: TButton
+        Tag = 13
+        Left = 3
+        Caption = 'Other Procedure...'
+        TabOrder = 1
+        ExplicitLeft = 3
+      end
+    end
+    object lbMods: TORListBox
+      Left = 352
+      Top = 0
+      Width = 260
+      Height = 204
+      Style = lbOwnerDrawFixed
+      Align = alRight
+      Font.Charset = DEFAULT_CHARSET
+      Font.Color = clWindowText
+      Font.Height = -11
+      Font.Name = 'MS Sans Serif'
+      Font.Style = []
+      ItemHeight = 14
+      ParentFont = False
+      ParentShowHint = False
+      ShowHint = True
+      TabOrder = 2
+      OnExit = lbModsExit
+      Caption = 'Modifiers'
+      ItemTipColor = clWindow
+      LongList = False
+      Pieces = '2,3'
+      TabPosInPixels = True
+      CheckBoxes = True
+      CheckEntireLine = True
+      OnClickCheck = lbModsClickCheck
+    end
+  end
+  inherited amgrMain: TVA508AccessibilityManager
+    Data = (
+      (
+        'Component = lbMods'
+        'Label = lblMod'
+        'Status = stsOK')
+      (
+        'Component = spnProcQty'
+        'Status = stsDefault')
+      (
+        'Component = txtProcQty'
+        'Status = stsDefault')
+      (
+        'Component = cboProvider'
+        'Status = stsDefault')
+      (
+        'Component = edtComment'
+        'Label = lblComment'
+        'Status = stsOK')
+      (
+        'Component = btnRemove'
+        'Status = stsDefault')
+      (
+        'Component = btnSelectAll'
+        'Status = stsDefault')
+      (
+        'Component = pnlMain'
+        'Status = stsDefault')
+      (
+        'Component = lbxSection'
+        'Label = lblList'
+        'Status = stsOK')
+      (
+        'Component = pnlLeft'
+        'Status = stsDefault')
+      (
+        'Component = lbSection'
+        'Label = lblSection'
+        'Status = stsOK')
+      (
+        'Component = btnOther'
+        'Status = stsDefault')
+      (
+        'Component = pnlGrid'
+        'Status = stsDefault')
+      (
+        'Component = lbGrid'
+        'Status = stsDefault')
+      (
+        'Component = hcGrid'
+        'Status = stsDefault')
+      (
+        'Component = btnOK'
+        'Status = stsDefault')
+      (
+        'Component = btnCancel'
+        'Status = stsDefault')
+      (
+        'Component = frmProcedures'
+        'Status = stsDefault'))
   end
 end
